Bug 227853 - [PATCH] archivers/urbackup-server: add default config file and log rotation (via newsyslog)
Summary: [PATCH] archivers/urbackup-server: add default config file and log rotation (...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-29 14:49 UTC by freebsd
Modified: 2018-08-05 17:44 UTC (History)
2 users (show)

See Also:


Attachments
add default config file and log rotation (via newsyslog) (4.80 KB, patch)
2018-04-29 14:49 UTC, freebsd
no flags Details | Diff
Remove .sample file from newsyslog directory (2.19 KB, patch)
2018-08-05 16:46 UTC, freebsd
no flags Details | Diff
Remove .sample file from newsyslog directory (2.71 KB, patch)
2018-08-05 17:02 UTC, freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2018-04-29 14:49:02 UTC
Created attachment 192910 [details]
add default config file and log rotation (via newsyslog)

Revision:
 - Add a default config file (%%PREFIX%%/etc/urbackup/urbackupsrv.conf)
 - Add log rotation (%%PREFIX%%/etc/newsyslog.conf.d/urbackupsrv.conf)
Comment 1 Kurt Jaeger freebsd_committer 2018-07-31 17:42:43 UTC
testbuilds@work
Comment 2 Kurt Jaeger freebsd_committer 2018-07-31 18:43:09 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2018-07-31 18:44:01 UTC
A commit references this bug:

Author: pi
Date: Tue Jul 31 18:43:05 UTC 2018
New revision: 476014
URL: https://svnweb.freebsd.org/changeset/ports/476014

Log:
  archivers/urbackup-server: add default config and log rotation (via newsyslog)

  PR:		227853
  Submitted by:	Kirk Coombs <freebsd@coombscloud.com> (maintainer)

Changes:
  head/archivers/urbackup-server/Makefile
  head/archivers/urbackup-server/files/pkg-message.in
  head/archivers/urbackup-server/files/urbackup_server.in
  head/archivers/urbackup-server/files/urbackupsrv.conf.sample-daemon.in
  head/archivers/urbackup-server/files/urbackupsrv.conf.sample-newsyslog
  head/archivers/urbackup-server/pkg-plist
Comment 4 freebsd 2018-08-05 16:46:41 UTC
Created attachment 195902 [details]
Remove .sample file from newsyslog directory

Bump PORTREVISION and remove urbackupsrv.conf.sample from {PREFIX}/etc/newsyslog.conf.d, which can cause confusion to newsyslog.
Comment 5 freebsd 2018-08-05 17:02:49 UTC
Created attachment 195903 [details]
Remove .sample file from newsyslog directory

Bump PORTREVISION and remove urbackupsrv.conf.sample from {PREFIX}/etc/newsyslog.conf.d, which can cause confusion to newsyslog.

[NOTE: second comment for PORTREVISION 2, first diff didn't properly capture a filename change]
Comment 6 commit-hook freebsd_committer 2018-08-05 17:44:12 UTC
A commit references this bug:

Author: pi
Date: Sun Aug  5 17:43:49 UTC 2018
New revision: 476422
URL: https://svnweb.freebsd.org/changeset/ports/476422

Log:
  archivers/urbackup-server: fix newsyslog sample

  - Remove .sample file from newsyslog directory
    It can cause confusion to newsyslog

  PR:		227853
  Submitted by:	freebsd@coombscloud.com (maintainer)
  Reported by:	mat

Changes:
  head/archivers/urbackup-server/Makefile
  head/archivers/urbackup-server/files/urbackupsrv.conf-newsyslog
  head/archivers/urbackup-server/files/urbackupsrv.conf.sample-newsyslog
  head/archivers/urbackup-server/pkg-plist